module JobParser
  class Cache

    def cache_instance
      @cache_instance || JobParser.config[:cache_storage_class].new
    end

    def valid_for_url?(url)
      JobParser.config[:cache_on] && has_cache_for_url?(url) && !cache_expired?(url)
    end

    def has_cache_for_url?(url)
      cache_instance.has_cache_for_url?(url)
    end

    def fetch_result_for_url(url)
      cache_instance.get(url)
    end

    def store_to_file(job_hash)
      cache_instance.store(job_hash)
    end

    def cache_expired?(url)
      cache_instance.cache_expired?(url)
    end

    def view_cache
      cache_instance.view_cache
    end

    def clear_all
      cache_instance.clear_all
    end
  end
end
