# encoding: UTF-8
require "nokogiri"
require "jobparser/regex"

module JobParser
  class Cleaner

    def self.strip_all_white_space(str)
      Cleaner.clean_text(Cleaner.remove_nbsp(str.gsub('\n', ''))).strip
    end

    def self.clean_text(str)
      str.gsub(/\r|\t/, "").gsub(NBSP, " ")
    end

    def self.remove_nbsp(str)
      str.gsub(NBSP, "")
    end

    def self.make_link_absolute(url, href)
      if href.include?("http")
        href
      else
        uri = URI.parse(url)
        base = "#{uri.scheme}://#{uri.host}"
        if base[-1] == "/" || href[0] == "/"
          base + href
        else
          "#{base}/#{href}"
        end
      end
    end

  end
end
