require 'date'

module JobParser
  module Facets
    class Deadline < Facet
      def parse
        special_case_result = use_special_case(:deadline)
        return special_case_result unless special_case_result.nil?

        regex = /(Apply before|Closing Date):\s*(.+)$/i
        result = ""
        loop_over_elements { |name, elem|
          regex.match(elem.content) { |m|
            result = Cleaner.strip_all_white_space(m[2])
          }

          if result.empty?
            result = Cleaner.strip_all_white_space(elem.content) if elem_is_date(elem)
          end
        }
        result
      end

      private

      def elem_is_date(elem)
        content = Cleaner.strip_all_white_space(elem.content)
        words = content.split(" ").length
        return false if words > 10 || words < 2
        is_date = false
        begin
          Date.parse(content)
          is_date = true
        rescue ArgumentError
          is_date = false
        end
        is_date
      end
    end
  end
end
