module JobParser
  module Facets
    class Salary < Facet
      def parse
        special_case_result = use_special_case(:salary)
        return special_case_result unless special_case_result.nil?

        salary = ""
        SALARY_REGEX.match(@plain_text) { |m|
          salary = m.to_s
        }
        final_salary = nil
        if salary && !salary.empty?
          SALARY_GROUP_REGEX.match(salary.gsub(CLEAN_SALARY_REGEX, "")) { |match|
            final_salary = [match[1].to_i, match[2].to_i]
          }
        else
          SALARY_UP_TO_REGEX.match(@plain_text) { |m|
            final_salary = [nil, m[3].gsub(",","").to_i]
          }
        end

        final_salary
      end
    end
  end
end
