# encoding: utf-8
module JobParser
  class ParseHtml < Parser

    def job
      res = super
      res[:schema] = false
      cache(res)
    end

    private

    def job_location
      Facets::Location.new(*facet_args).parse
    end

    def job_salary_string
      Facets::SalaryString.new(*facet_args).parse
    end

    def job_salary
      Facets::Salary.new(*facet_args).parse
    end

    def job_title
      Facets::Title.new(*facet_args).parse
    end

    def apply_link
      Facets::Apply.new(*facet_args).parse
    end

    def deadline
      Facets::Deadline.new(*facet_args).parse
    end

    def job_postcode
      Facets::Postcode.new(*facet_args).parse
    end
  end
end
