# encoding: utf-8
require 'nokogiri'
module JobParser
  SALARY_REGEX = /£[\d,]*(?:.+)£[\d,]*/
  SALARY_STRING_REGEX = /£[\d,]*.+£[\d,]*(\s.*$)?/
  SALARY_UP_TO_REGEX = /(up to)(.+)£([\d,]*)/
  SALARY_TITLE_REGEX = /salary|\srate/i
  VACANCY_TITLE_REGEX = /vacancy|job title/i
  JOB_TITLE_ID_REGEX = /job(.?)title|title/i
  APPLY_LINK_REGEX = /^apply|submit an application|application form/i
  NBSP = Nokogiri::HTML("&nbsp;").text
  LOCATION_REGEX = /(?:location: )([\D]*)$/i
  SALARY_GROUP_REGEX = /£([\d,]*)(?:.+)£([\d,]*)/
  CLEAN_SALARY_REGEX = /,|\s/
  POSTCODE_REGEX = /([A-PR-UWYZ0-9][A-HK-Y0-9][AEHMNPRTVXY0-9]?[ABEHMNPRVWXY0-9]?\s?[0-9][ABD-HJLN-UW-Z]{2}|GIR 0AA)/

  # words commonly used in job listings - not sure if this is a good way to go but I think it's worth a go
  # could scope this regex just to headers
  JOB_TITLE_WORDS = /representative|sales|nurse|manager|assistant/i
end
